<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@id/userNameLayout">

        <ImageView
            android:layout_width="128dp"
            android:layout_height="128dp"
            android:layout_centerInParent="true"
            android:src="@mipmap/app_logo" />
    </RelativeLayout>

    <LinearLayout
        android:id="@+id/userNameLayout"
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:layout_above="@id/userPasswordLayout"
        android:layout_marginHorizontal="@dimen/dp_50"
        android:layout_marginBottom="@dimen/dp_5"
        android:background="@drawable/bg_solid_layout_gray_radius_5"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_10"
            android:src="@drawable/ic_user" />

        <com.pengxh.androidx.lite.widget.DeleteEditText
            android:id="@+id/userNameView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@null"
            android:hint="请输入账号"
            android:singleLine="true"
            android:textSize="@dimen/sp_16"
            android:theme="@style/EditTextTheme" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/userPasswordLayout"
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:layout_above="@id/anchorView"
        android:layout_marginHorizontal="@dimen/dp_50"
        android:layout_marginTop="@dimen/dp_5"
        android:background="@drawable/bg_solid_layout_gray_radius_5"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/dp_10"
            android:src="@drawable/ic_lock" />

        <com.pengxh.androidx.lite.widget.DeleteEditText
            android:id="@+id/userPasswordView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@null"
            android:hint="请输入密码"
            android:inputType="textPassword"
            android:singleLine="true"
            android:textSize="@dimen/sp_16"
            android:theme="@style/EditTextTheme" />
    </LinearLayout>

    <View
        android:id="@+id/anchorView"
        android:layout_width="@dimen/lineViewSize"
        android:layout_height="@dimen/lineViewSize"
        android:layout_centerInParent="true" />

    <Button
        android:id="@+id/loginButton"
        style="@style/MainButtonStyle"
        android:layout_below="@id/anchorView"
        android:layout_marginHorizontal="@dimen/dp_50"
        android:layout_marginTop="@dimen/dp_30"
        android:text="登\u3000\u3000录" />

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:background="@mipmap/login_bottom" />
</RelativeLayout>